curl -G https://api.chargeapi.co/v1/vehicles \
-H "Authorization: Bearer ch_sk_test_..." \
-d fleet=flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy \
-d limit=10
{
"data": [
{
"id": "veh_mACCWkuROGwwGL0zHbHgZPEA0NChbnxP",
"object": "vehicle",
"battery_capacity": 82000,
"charging_standard": "CCS",
"created": "2026-04-01T00:11:10.857Z",
"drivers": ["drv_Mm9jmTx7b3PBodMypWRkMbFNwfHhZC0v"],
"fleet": "flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy",
"information": {
"make": "Volvo",
"model": "EX30",
"year": "2025"
},
"metadata": {},
"policy_ids": ["pol_z2ubWkbw0wtDwMa6jI1rLAnFaDf0kOaK"],
"registration_plate": "AB-123-CD",
"status": "active",
"telemetry": "vtel_a5rw6OOIXfHBnn3LeFdcGEmtCI40MzNV",
"updated": "2026-04-01T00:55:40.221Z",
"vin": "YV1XZK5V0S1234567"
}
],
"next_page_url": "https://api.chargeapi.co/v1/vehicles?page=page_3TV2AeXv2BDgFJiMAGUnVAnOPXhDhdA88YAhUD4NEqo&fleet=flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy&limit=10",
"previous_page_url": null
}
Vehicles
List Vehicles
curl -G https://api.chargeapi.co/v1/vehicles \
-H "Authorization: Bearer ch_sk_test_..." \
-d fleet=flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy \
-d limit=10
{
"data": [
{
"id": "veh_mACCWkuROGwwGL0zHbHgZPEA0NChbnxP",
"object": "vehicle",
"battery_capacity": 82000,
"charging_standard": "CCS",
"created": "2026-04-01T00:11:10.857Z",
"drivers": ["drv_Mm9jmTx7b3PBodMypWRkMbFNwfHhZC0v"],
"fleet": "flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy",
"information": {
"make": "Volvo",
"model": "EX30",
"year": "2025"
},
"metadata": {},
"policy_ids": ["pol_z2ubWkbw0wtDwMa6jI1rLAnFaDf0kOaK"],
"registration_plate": "AB-123-CD",
"status": "active",
"telemetry": "vtel_a5rw6OOIXfHBnn3LeFdcGEmtCI40MzNV",
"updated": "2026-04-01T00:55:40.221Z",
"vin": "YV1XZK5V0S1234567"
}
],
"next_page_url": "https://api.chargeapi.co/v1/vehicles?page=page_3TV2AeXv2BDgFJiMAGUnVAnOPXhDhdA88YAhUD4NEqo&fleet=flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy&limit=10",
"previous_page_url": null
}
Returns a paginated list of vehicle objects. Use
driver to scope results to vehicles attached to a specific driver, or fleet to scope results to one fleet.
curl -G https://api.chargeapi.co/v1/vehicles \
-H "Authorization: Bearer ch_sk_test_..." \
-d fleet=flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy \
-d limit=10
{
"data": [
{
"id": "veh_mACCWkuROGwwGL0zHbHgZPEA0NChbnxP",
"object": "vehicle",
"battery_capacity": 82000,
"charging_standard": "CCS",
"created": "2026-04-01T00:11:10.857Z",
"drivers": ["drv_Mm9jmTx7b3PBodMypWRkMbFNwfHhZC0v"],
"fleet": "flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy",
"information": {
"make": "Volvo",
"model": "EX30",
"year": "2025"
},
"metadata": {},
"policy_ids": ["pol_z2ubWkbw0wtDwMa6jI1rLAnFaDf0kOaK"],
"registration_plate": "AB-123-CD",
"status": "active",
"telemetry": "vtel_a5rw6OOIXfHBnn3LeFdcGEmtCI40MzNV",
"updated": "2026-04-01T00:55:40.221Z",
"vin": "YV1XZK5V0S1234567"
}
],
"next_page_url": "https://api.chargeapi.co/v1/vehicles?page=page_3TV2AeXv2BDgFJiMAGUnVAnOPXhDhdA88YAhUD4NEqo&fleet=flt_cb4mG1v23U4O4yo5FmfSdlfYBs4P1Yvy&limit=10",
"previous_page_url": null
}
Parameters
string
Limit results to vehicles attached to this driver.
string
Limit results to vehicles attached to this fleet.
integer
Maximum number of objects to return (default 10).
string
Page token from a previous list response.
Returns
Returns a page of vehicles.array of object
required
Array of vehicle objects.
string | null
required
URL for the next page of results, or
null when there is no next page.string | null
required
URL for the previous page of results, or
null when there is no previous page.
